package it.unibo.tw.dao;

import java.util.List;

public interface FeedDAO {

	// --- CRUD -------------

	public Long create(FeedDTO item);

	public FeedDTO read(Long id);

	public boolean delete(Long id);

	// ----------------------------------

	public List<FeedDTO> find(String category);
	public int count(String category);

	// ----------------------------------

	public boolean createTable();

	public boolean dropTable();

}
