package it.unibo.tw.dao;

import it.unibo.tw.dao.hsqldb.HsqldbDAOFactory;


public class DropTables {

	public static void main(String[] args) {
		
		DAOFactory daoFactory = DAOFactory.getDAOFactory( HsqldbDAOFactory.class.getCanonicalName() );
		
		FeedDAO feedDAO = daoFactory.getFeedDAO();
		try { 
			feedDAO.dropTable(); 
			System.out.println("Feed table dropped successfully.");
		}
		catch (Exception e) {
			System.out.println("No tables to delete.");
		}
	}

}
